<?php

namespace App;

use App\Traits\FilterModel;
use Illuminate\Database\Eloquent\Model;

class Proveedor extends Model
{
    use FilterModel;

    protected $table = 'proveedores';

    protected $fillable = 
    [
        'nombre', 
        'descripcion', 
        'logo',
        'direccion',
        'telefono', 
        'email', 
        'web', 
        'mapa', 
        'youtube', 
        'tipos_proveedor_id',
        'servicio_id'
    ];

    protected $boolFilterFields = [];

    protected $likeFilterFields = [
        'nombre', 
        'descripcion',
        'direccion',
        'telefono', 
        'email', 
        'web', 
    ];

    public function tipos_proveedor()
    {
        return $this->belongsTo('App\TipoProveedor');
    }

    public function servicio()
    {
        return $this->belongsTo('App\Servicio');
    }

    public function novedades()
    {
        return $this->hasMany('App\Novedad');
    }

    public function ofertas()
    {
        return $this->hasMany('App\Oferta');
    }

    public function equipos()
    {
        return $this->hasMany('App\Equipo');
    }
}
